# `openio` module
## Metrics
| Metric name | Labels | Description | 
| ----------- | ------ | ---- |
| openio_req_hits          | `service_addr`, `service`, `service_type`, `volume`, `method`      | Cumulative number of requests by methods |
| openio_req_time          | `service_addr`, `service`, `service_type`, `volume`, `method`      | Cumulative duration of requests by methods |
| openio_cnx_accept        | `service_addr`, `service`, `service_type`, `volume`                | Cumulative number of accepted connections |
| openio_cnx_close         | `service_addr`, `service`, `service_type`, `volume`                | Cumulative number of closed connections |
| openio_rep_hits          | `service_addr`, `service`, `service_type`, `volume`, `code`        | Cumulative number of response by codes |
| openio_rep_bread         | `service_addr`, `service`, `service_type`, `volume`                | Cumulative number of bytes read |
| openio_rep_written       | `service_addr`, `service`, `service_type`, `volume`                | Cumulative number of bytes written |
| openio_base_cache_size   | `service_addr`, `service`, `service_type`, `volume`, `type`        | Cache information by types |
| openio_base_elections    | `service_addr`, `service`, `service_type`, `volume`, `status`      | Elections information by status |
| openio_volume_size_bytes |`service_addr`, `service`, `service_type`, `volume`, `fsid`, `type` | Size of a volume by type |
| openio_volume_inodes     |`service_addr`, `service`, `service_type`, `volume`, `fsid`, `type` | Number of inodes per volume by type |
### Sample
```
openio_req_hits{host="node2",namespace="OPENIO",method="M2_DEL",service="OPENIO-meta2-0",service_type="meta2",service_addr="172.30.0.112:6120", volume="/oio/OPENIO/meta2-0"} 1435333.000000
openio_req_time{host="node3",namespace="OPENIO",method="M2_CREATE",service="OPENIO-meta2-0",service_type="meta2",service_addr="172.30.0.113:6120", volume="/oio/OPENIO/meta2-0"} 2590380192.000000
openio_cnx_accept{host="node3",namespace="OPENIO",service="OPENIO-meta1-0",service_type="meta1",service_addr="172.30.0.113:6110", volume="/oio/OPENIO/meta2-0"} 3818782.000000
openio_cnx_close{host="node3",namespace="OPENIO",service="OPENIO-meta0-0",service_type="meta0",service_addr="172.30.0.113:6001", volume="/oio/OPENIO/meta2-0"} 1997543.000000
openio_rep_hits{host="node3",namespace="OPENIO",code="2xx",service="OPENIO-rawx-0",service_type="rawx",service_addr="172.30.0.113:6200", volume="/oio/OPENIO/meta2-0"} 4095382.000000
openio_rep_bread{host="node3",namespace="OPENIO",service="OPENIO-rawx-0",service_type="rawx",service_addr="172.30.0.113:6200", volume="/oio/OPENIO/meta2-0"} 50654634820.000000
openio_rep_bwritten{host="node3",namespace="OPENIO",service="OPENIO-rawx-0",service_type="rawx",service_addr="172.30.0.113:6200", volume="/oio/OPENIO/meta2-0"} 124044883078.00000
openio_base_cache_size{host="node3",namespace="OPENIO",type="cold",service="OPENIO-meta2-0",service_type="meta2",service_addr="172.30.0.113:6120", volume="/oio/OPENIO/meta2-0"} 49.000000
openio_base_elections{host="node3",namespace="OPENIO",status="none",service="OPENIO-meta2-0",service_type="meta2",service_addr="172.30.0.113:6120", volume="/oio/OPENIO/meta2-0"} 6.000000
openio_volume_size_bytes{host="node3",namespace="OPENIO",service="OPENIO-meta2-0",service_type="meta2",service_addr="172.30.0.113:6120",volume="/oio/OPENIO/meta2-0",fsid="18446744072925901480",type="free"} 7929004032.000000
openio_volume_inodes{host="node3",namespace="OPENIO",service="OPENIO-rdir-0",service_type="rdir",service_addr="172.30.0.113:6300",volume="/oio/OPENIO/rdir-0",fsid="18446744072925901480",type="used"} 204831.000000
```
